python-pygresql_4.0-3.1_amd64.deb


Advertisement

Description

python-pygresql - PostgreSQL module for Python

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pygresql
Package version: 4.0
Package release: 3.1
Package architecture: amd64
Package type: deb
Installed size: 361 B
Download size: 73.25 KB
Official Mirror: archive.ubuntu.com
PyGreSQL is a Python module that interfaces to a PostgreSQL database. It embeds the PostgreSQL query library to allow easy use of the powerful PostgreSQL features from a Python script.

Alternatives

Provides

  • python-pg
  • python2.7-pygresql

Conflicts

  • python2.3-pygresql
  • python2.4-pygresql

Replaces

  • python2.3-pygresql
  • python2.4-pygresql

    Download

    Source package: pygresql

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pygresql deb package:
      # sudo apt-get install python-pygresql

    Files

    • /usr/lib/python2.7/dist-packages/PyGreSQL-4.0.egg-info
    • /usr/lib/python2.7/dist-packages/_pg.so
    • /usr/lib/python2.7/dist-packages/pg.py
    • /usr/lib/python2.7/dist-packages/pgdb.py
    • /usr/share/doc/python-pygresql/announce.html
    • /usr/share/doc/python-pygresql/announce.txt
    • /usr/share/doc/python-pygresql/changelog.Debian.gz
    • /usr/share/doc/python-pygresql/copyright
    • /usr/share/doc/python-pygresql/default.css
    • /usr/share/doc/python-pygresql/docs.css
    • /usr/share/doc/python-pygresql/future.html
    • /usr/share/doc/python-pygresql/future.txt
    • /usr/share/doc/python-pygresql/index.html
    • /usr/share/doc/python-pygresql/install.html
    • /usr/share/doc/python-pygresql/install.txt.gz
    • /usr/share/doc/python-pygresql/pg.html
    • /usr/share/doc/python-pygresql/pg.txt.gz
    • /usr/share/doc/python-pygresql/pgdb.html
    • /usr/share/doc/python-pygresql/pgdb.txt
    • /usr/share/doc/python-pygresql/readme.html
    • /usr/share/doc/python-pygresql/readme.txt.gz
    • /usr/share/doc/python-pygresql/tutorial/advanced.py
    • /usr/share/doc/python-pygresql/tutorial/basics.py
    • /usr/share/doc/python-pygresql/tutorial/func.py
    • /usr/share/doc/python-pygresql/tutorial/syscat.py

    Changelog

    2014-04-25 - Evgeni Golov <evgeni.golov@credativ.de> pygresql (1:4.0-3.1) unstable; urgency=medium * Non-maintainer upload. * Add B-D on postgresql-server-dev-all. * Add includedir-server to includes. Closes: #741806

    2011-04-22 - Matthias Klose <doko@debian.org> pygresql (1:4.0-3) unstable; urgency=low * Orphan the package. * Build using dh_python2. Closes: #616968.

    2010-01-19 - Matthias Klose <doko@debian.org> pygresql (1:4.0-2) unstable; urgency=low * python-pygresql: Provide python-pg, no need to rename the package. Closes: #556415.

    2009-08-29 - Matthias Klose <doko@debian.org> pygresql (1:4.0-1) unstable; urgency=low * New upstream version.

    2008-06-24 - Matthias Klose <doko@debian.org> pygresql (1:3.8.1-3) unstable; urgency=low * Rebuild to move files to /usr/share/pyshared.

    2007-08-02 - Matthias Klose <doko@debian.org> pygresql (1:3.8.1-2) unstable; urgency=low * Fix package dependency on libpq. Closes: #430836. * Merge from Ubuntu: Build a python-pygresql-dbg package.

    2006-06-16 - Matthias Klose <doko@debian.org> pygresql (1:3.8.1-1) unstable; urgency=low * New upstream version. * Convert to updated Python policy. Closes: #373494.

    2006-05-28 - Martin Pitt <mpitt@debian.org> pygresql (1:3.8-1.1) unstable; urgency=high * NMU with the maintainer's permission. * Urgency high since this only fixes an important bug with a trivial patch. * pg.py, _quote(): Escape quotes in strings as '', not as \', since the latter does not work any more with some client encodings with the latest PostgreSQL (in some multi-byte encodings you can exploit \' escaping to inject SQL code, see CVE-2006-2314). Closes: #369239

    2006-03-05 - Matthias Klose <doko@debian.org> pygresql (1:3.8-1) unstable; urgency=low * New upstream version.

    2005-09-22 - Matthias Klose <doko@debian.org> pygresql (1:3.7-1) unstable; urgency=low * New upstream version.

    Advertisement
    Advertisement